package com.jxml.quick.util.qjml2qiml;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCTargetClass extends OCMpeerSupport
{
	/**
	 * convert
	 */
	public void cvt(Object param)
		throws SAXException
	{
		QMTargetClass dm=(QMTargetClass)dataModel;

		if (param==null) // no data
		{
			startElement("targetClass");
			addStringContent(dm.text);
			endElement("targetClass");
		}
		else // data
		{
			List validList=(List)param;
			if (validList.size()>0)
				throw new SAXException("Enums and Ranges not supported on targetClass");
			startElement("targetClass1");
			addStringContent(dm.text);
			endElement("targetClass1");
		}
	}
}
